AccountsApi - interface

export
interface

  AccountsApiInterface

### Hierarchy

- AccountsApiInterface

### Implemented by

- AccountsApi

## Index

### Methods

- getAccountAssets
- getAccountAssetsRaw
- getAccountBalance
- getAccountBalanceRaw
- getAccountInbound
- getAccountInboundRaw
- getAccountInfo
- getAccountInfoRaw
- getAccountNft
- getAccountNftRaw
- getAccountNonces
- getAccountNoncesRaw
- getAccountStxBalance
- getAccountStxBalanceRaw
- getAccountTransactions
- getAccountTransactionsRaw
- getAccountTransactionsWithTransfers
- getAccountTransactionsWithTransfersRaw
- getSingleTransactionWithTransfers
- getSingleTransactionWithTransfersRaw

## Methods

### getAccountAssets

- getAccountAssets(requestParameters: GetAccountAssetsRequest, initOverrides?: RequestInit): Promise< AddressAssetsListResponse >

- - Defined in src/generated/apis/AccountsApi.ts:133

  Get account assets

  #### Parameters

  - ##### requestParameters: GetAccountAssetsRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< AddressAssetsListResponse >

### getAccountAssetsRaw

- getAccountAssetsRaw(requestParameters: GetAccountAssetsRequest, initOverrides?: RequestInit): Promise< ApiResponse < AddressAssetsListResponse >>

- - Defined in src/generated/apis/AccountsApi.ts:128
  summary

    Get account assets

  throws

    {RequiredError}

  memberof

    AccountsApiInterface

  #### Parameters

  - ##### requestParameters: GetAccountAssetsRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < AddressAssetsListResponse >>

### getAccountBalance

- getAccountBalance(requestParameters: GetAccountBalanceRequest, initOverrides?: RequestInit): Promise< AddressBalanceResponse >

- - Defined in src/generated/apis/AccountsApi.ts:149

  Get account balances

  #### Parameters

  - ##### requestParameters: GetAccountBalanceRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< AddressBalanceResponse >

### getAccountBalanceRaw

- getAccountBalanceRaw(requestParameters: GetAccountBalanceRequest, initOverrides?: RequestInit): Promise< ApiResponse < AddressBalanceResponse >>

- - Defined in src/generated/apis/AccountsApi.ts:144
  summary

    Get account balances

  throws

    {RequiredError}

  memberof

    AccountsApiInterface

  #### Parameters

  - ##### requestParameters: GetAccountBalanceRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < AddressBalanceResponse >>

### getAccountInbound

- getAccountInbound(requestParameters: GetAccountInboundRequest, initOverrides?: RequestInit): Promise< AddressStxInboundListResponse >

- - Defined in src/generated/apis/AccountsApi.ts:169

  Get a list of STX transfers with memos to the given principal. This includes regular transfers from a stx-transfer transaction type, and transfers from contract-call transactions a the `send-many-memo` bulk sending contract. Get inbound STX transfers

  #### Parameters

  - ##### requestParameters: GetAccountInboundRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< AddressStxInboundListResponse >

### getAccountInboundRaw

- getAccountInboundRaw(requestParameters: GetAccountInboundRequest, initOverrides?: RequestInit): Promise< ApiResponse < AddressStxInboundListResponse >>

- - Defined in src/generated/apis/AccountsApi.ts:163

  Get a list of STX transfers with memos to the given principal. This includes regular transfers from a stx-transfer transaction type, and transfers from contract-call transactions a the `send-many-memo` bulk sending contract.

  summary

    Get inbound STX transfers

  throws

    {RequiredError}

  memberof

    AccountsApiInterface

  #### Parameters

  - ##### requestParameters: GetAccountInboundRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < AddressStxInboundListResponse >>

### getAccountInfo

- getAccountInfo(requestParameters: GetAccountInfoRequest, initOverrides?: RequestInit): Promise< AccountDataResponse >

- - Defined in src/generated/apis/AccountsApi.ts:187

  Get the account data for the provided principal Where balance is the hex encoding of a unsigned 128-bit integer (big-endian), nonce is a unsigned 64-bit integer, and the proofs are provided as hex strings. For non-existent accounts, this does not 404, rather it returns an object with balance and nonce of 0. Get account info

  #### Parameters

  - ##### requestParameters: GetAccountInfoRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< AccountDataResponse >

### getAccountInfoRaw

- getAccountInfoRaw(requestParameters: GetAccountInfoRequest, initOverrides?: RequestInit): Promise< ApiResponse < AccountDataResponse >>

- - Defined in src/generated/apis/AccountsApi.ts:181

  Get the account data for the provided principal Where balance is the hex encoding of a unsigned 128-bit integer (big-endian), nonce is a unsigned 64-bit integer, and the proofs are provided as hex strings. For non-existent accounts, this does not 404, rather it returns an object with balance and nonce of 0.

  summary

    Get account info

  throws

    {RequiredError}

  memberof

    AccountsApiInterface

  #### Parameters

  - ##### requestParameters: GetAccountInfoRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < AccountDataResponse >>

### getAccountNft

- getAccountNft(requestParameters: GetAccountNftRequest, initOverrides?: RequestInit): Promise< AddressNftListResponse >

- - Defined in src/generated/apis/AccountsApi.ts:206

  Get list of all nfts owned by an address, contains the clarity value of the identifier of the nft Get nft events

  #### Parameters

  - ##### requestParameters: GetAccountNftRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< AddressNftListResponse >

### getAccountNftRaw

- getAccountNftRaw(requestParameters: GetAccountNftRequest, initOverrides?: RequestInit): Promise< ApiResponse < AddressNftListResponse >>

- - Defined in src/generated/apis/AccountsApi.ts:200

  Get list of all nfts owned by an address, contains the clarity value of the identifier of the nft

  summary

    Get nft events

  throws

    {RequiredError}

  memberof

    AccountsApiInterface

  #### Parameters

  - ##### requestParameters: GetAccountNftRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < AddressNftListResponse >>

### getAccountNonces

- getAccountNonces(requestParameters: GetAccountNoncesRequest, initOverrides?: RequestInit): Promise< AddressNonces >

- - Defined in src/generated/apis/AccountsApi.ts:221

  Get the latest nonce values used by an account by inspecting the mempool, microblock transactions, and anchored transactions.

  #### Parameters

  - ##### requestParameters: GetAccountNoncesRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< AddressNonces >

### getAccountNoncesRaw

- getAccountNoncesRaw(requestParameters: GetAccountNoncesRequest, initOverrides?: RequestInit): Promise< ApiResponse < AddressNonces >>

- - Defined in src/generated/apis/AccountsApi.ts:216
  summary

    Get the latest nonce values used by an account by inspecting the mempool, microblock transactions, and anchored transactions.

  throws

    {RequiredError}

  memberof

    AccountsApiInterface

  #### Parameters

  - ##### requestParameters: GetAccountNoncesRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < AddressNonces >>

### getAccountStxBalance

- getAccountStxBalance(requestParameters: GetAccountStxBalanceRequest, initOverrides?: RequestInit): Promise<object>

- - Defined in src/generated/apis/AccountsApi.ts:237

  Get account STX balance

  #### Parameters

  - ##### requestParameters: GetAccountStxBalanceRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<object>

### getAccountStxBalanceRaw

- getAccountStxBalanceRaw(requestParameters: GetAccountStxBalanceRequest, initOverrides?: RequestInit): Promise< ApiResponse <object>>

- - Defined in src/generated/apis/AccountsApi.ts:232
  summary

    Get account STX balance

  throws

    {RequiredError}

  memberof

    AccountsApiInterface

  #### Parameters

  - ##### requestParameters: GetAccountStxBalanceRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse <object>>

### getAccountTransactions

- getAccountTransactions(requestParameters: GetAccountTransactionsRequest, initOverrides?: RequestInit): Promise< AddressTransactionsListResponse >

- - Defined in src/generated/apis/AccountsApi.ts:256

  Get account transactions

  #### Parameters

  - ##### requestParameters: GetAccountTransactionsRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< AddressTransactionsListResponse >

### getAccountTransactionsRaw

- getAccountTransactionsRaw(requestParameters: GetAccountTransactionsRequest, initOverrides?: RequestInit): Promise< ApiResponse < AddressTransactionsListResponse >>

- - Defined in src/generated/apis/AccountsApi.ts:251
  summary

    Get account transactions

  throws

    {RequiredError}

  memberof

    AccountsApiInterface

  #### Parameters

  - ##### requestParameters: GetAccountTransactionsRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < AddressTransactionsListResponse >>

### getAccountTransactionsWithTransfers

- getAccountTransactionsWithTransfers(requestParameters: GetAccountTransactionsWithTransfersRequest, initOverrides?: RequestInit): Promise< AddressTransactionsWithTransfersListResponse >

- - Defined in src/generated/apis/AccountsApi.ts:275

  Get account transactions including STX transfers for each transaction.

  #### Parameters

  - ##### requestParameters: GetAccountTransactionsWithTransfersRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< AddressTransactionsWithTransfersListResponse >

### getAccountTransactionsWithTransfersRaw

- getAccountTransactionsWithTransfersRaw(requestParameters: GetAccountTransactionsWithTransfersRequest, initOverrides?: RequestInit): Promise< ApiResponse < AddressTransactionsWithTransfersListResponse >>

- - Defined in src/generated/apis/AccountsApi.ts:270
  summary

    Get account transactions including STX transfers for each transaction.

  throws

    {RequiredError}

  memberof

    AccountsApiInterface

  #### Parameters

  - ##### requestParameters: GetAccountTransactionsWithTransfersRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < AddressTransactionsWithTransfersListResponse >>

### getSingleTransactionWithTransfers

- getSingleTransactionWithTransfers(requestParameters: GetSingleTransactionWithTransfersRequest, initOverrides?: RequestInit): Promise< AddressTransactionWithTransfers >

- - Defined in src/generated/apis/AccountsApi.ts:291

  Get account transaction information for specific transaction

  #### Parameters

  - ##### requestParameters: GetSingleTransactionWithTransfersRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< AddressTransactionWithTransfers >

### getSingleTransactionWithTransfersRaw

- getSingleTransactionWithTransfersRaw(requestParameters: GetSingleTransactionWithTransfersRequest, initOverrides?: RequestInit): Promise< ApiResponse < AddressTransactionWithTransfers >>

- - Defined in src/generated/apis/AccountsApi.ts:286
  summary

    Get account transaction information for specific transaction

  throws

    {RequiredError}

  memberof

    AccountsApiInterface

  #### Parameters

  - ##### requestParameters: GetSingleTransactionWithTransfersRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < AddressTransactionWithTransfers >>

Generated using TypeDoc